Adobe Spark is now Adobe Express!
Adobe Express replaced Adobe Spark on the web and Adobe Spark Post on mobile.

For support with Adobe Express please click here
If you need support for Adobe Spark Page or Adobe Spark video on the iPhone or iPad please click here

Follow

What are the Adobe Spark system requirements?

Adobe Spark runs in your favorite web browser, iOS devices, and Android (Spark Post). Here's the full list of what is supported:

Adobe Spark on the web

Operating Systems: Windows 8.1 or newer, macOS 10.13, Chromebook (latest)
Supported web browsers:

The two most current major versions of Chrome, Firefox, Safari, and Edge (Chromium). 

 

JavaScript must be enabled.

Memory requirements: We recommend at least 4GB of memory

Adobe Spark iOS apps

  • iPad or iPhone running iOS 13 or newer

Adobe Spark Post for Android

  • All devices that run Android 7.0 Nougat and above

 

Was this article helpful?
12 out of 16 found this helpful